• SPARK Support
    April 26, 2017 at 12:01 pm #4224

    Using SPARK UI toolkit version 4.5.0 and above in your IBM BPM 8.5.7 environment will throw an error if the Desktop PD version and imported Showcase snapshot are mismatched (See the attached Screenshots):

    • java.lang.illegalArgumentException: No enum const class
    • com.lombardisoftware.client.persistence.CoachView$OPTION_PROPERTY_TYPE.EVENT

     
    SPARK UI now fully leverages the new design-time events in Web Process Designer for IBM BPM 8.5.7 CF 201703 to provide an even better UI developer experience.  The latest version of IBM BPM 8.5.7 uses parts of the SPARK UI runtime to support the SPARK addressing and eventing model. In exposing SPARK events to the developer at design time, Web Process Designer provides a JavaScript editor for events which allows as many lines as needed for event logic, syntax highlighting, and code completion when applicable.

    Installing the incorrect version of the Showcase snapshot or using an outdated Desktop PD with the new CF201703 will produce this error:

    • 1) For users that have already upgraded BPM to CF201703, the download asset labeled 8.5.7 CF201703 is provided specifically for that environment.  All events that were previously contained within the Configuration options will automatically be moved to the new Events tab.  Users of Desktop PD will need to download a new copy of the installation files and install them into a new directory.  Using an pre-CF201703 version of PD with the new version of the toolkit will produce this error.
    •  

    • 2) For users with BPM 8.5.7 versions up to CF201612, be sure to use the download asset labeled BPM 8.5.7 up to CF201612.  Installing the newer snapshot in older BPM environments will cause the aforementioned error.

     

Viewing 1 post (of 1 total)

You must be logged in to reply to this topic.

Start typing and press Enter to search